﻿/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ATMEL STUDIO 7

This program demonstrates how Atmel Studio 7 can be used to program the Brainbox Arduino - based on the ARduino Leonardo
Look at the manual on www.E2CRE8.be on how to set up STUDIO7 and AVRDUDE to program the Hardware of the BBA
For this program I have used real embedded C code - combined with Arduino library instructions to demonstrate that they can be used together.

This program blinks led 13 (blue led at pin C7) and led 17 (red led at RXled pin B0)
The pinout diagram of the BBA visualizes the relation between the ARduino pin names and the real pin names
This program can be used as inspiration to control any output pin of the Brainbox Arduino

These programs are used in school environments and the C code is kept low level for that reason

 */
#include <Arduino.h>		// by including this lib - the usage of most ARduino libraries is made possible
#include <avr/io.h>			// This lib is needed for the C compiler to know the correct addresses for registers like DDRB, PORTB, ...
#include <util/delay.h>		// This lib is needed to calculate the correct delays for "_delay_ms(10);" 
//- the clockspeed of the ARduino Leonardo is automatically set when opening an Arduino project under STUDIO 7


int main (void)			// main program
{
  
  DDRB = 0b00000001; // RB0 (pin17) = output pin - using real embedded C code
  pinMode(13, OUTPUT); // pin 13 (pinC7) = output pin - using ARduino library instruction & pin name
  
    while(1)				// while(1) is an ever lasting loop
		{
			PORTB = 0b00000000;			// turn led at pin B0 off
			digitalWrite(13, HIGH);		// turn the LED 13 on (HIGH is the voltage level)
			_delay_ms(250);				//wait for 250msec
			
			PORTB = 0b00000001;			// turn led at pin B0 on
			digitalWrite(13, LOW);		// turn the LED 13 on (HIGH is the voltage level)
			_delay_ms(250);				//wait for 250msec
		    
		}
}
